> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vault Locks

> Lists a vault's locks, active and released.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Vaults:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /vaults/{vaultId}/locks
openapi: 3.1.0
info:
  version: 1.968.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /vaults/{vaultId}/locks:
    get:
      tags:
        - Vaults
      summary: List Vault Locks
      description: Lists a vault's locks, active and released.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Vault id.
          required: true
          description: Vault id.
          name: vaultId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 50
            description: Maximum number of items to return.
          required: false
          description: Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque token used to retrieve the next page. Returned as
              `nextPageToken` from the previous request.
          required: false
          description: >-
            Opaque token used to retrieve the next page. Returned as
            `nextPageToken` from the previous request.
          name: paginationToken
          in: query
        - schema:
            type: string
          required: false
          name: network
          in: query
        - schema:
            type: string
          required: false
          name: tid
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/VaultLock'
                    description: Current page items.
                  nextPageToken:
                    type: string
                    description: >-
                      token to use as `paginationToken` to request the next
                      page.
                required:
                  - items
      security:
        - authenticationToken: []
components:
  schemas:
    VaultLock:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^vlt-lck-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Vault lock id.
          example: vlt-lck-0lf1e-8a8ag-2ak7vrvusrj3so0j
        vaultId:
          type: string
        network:
          type: string
        tid:
          type: string
        amount:
          type: string
        owner:
          type: string
          description: The user that created the lock. Only this user can delete it.
        externalId:
          type: string
        reason:
          type: string
          description: The reason or note the lock was created with.
        dateCreated:
          type: string
          format: date-time
        dateDeleted:
          type: string
          format: date-time
      required:
        - id
        - vaultId
        - network
        - tid
        - amount
        - owner
        - dateCreated
      additionalProperties: false
      description: >-
        Vault lock object: funds manually locked for off-chain settlement or
        escrow.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````